000029703 - IMG 6.9.0 P03 Incompatible AFX server version '2.9.XXXXX and AFX Server in a state of 'Not Running'

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000029703
Applies ToRSA IMG 6.9 P03
AFX
IssueAfter installing Patch 03 for RSA IMG 6.9, the AFX Server fails to start and is in a state of 'Not Running' in the UI. Prior to the patch application, the AFX Server was in a state of 'Running.' The following error is in the mule_ee.log located in $AFX_HOME/mule/logs:
2015-02-19 16:46:43.278 [ERROR] org.mule.module.launcher.application.DefaultMuleApplication:365 - null

java.lang.Exception: HTTP response error. Response code=400 : Reason=Incompatible AFX server version '2.9.XXXXX'. AFX Server with name 'AFX Server' must be updated to version '2.9.83551'.
where 'XXXXX' corresponds to the build number of 6.9 GA, 6.9 P01 or 6.9 P02 depending on what version you were on prior to the application of Patch 03.
CauseUnknown.
ResolutionRestart AFX:
As user 'oracle'
$ afx stop
$ afx start
--OR--
As user 'root'
# service afx_server stop
# service afx_server start

Attachments

    Outcomes